Class | Bio::Fasta::Report::Program
In: | lib/bio/appl/fasta/format10.rb
Parent: | Object

Log of the fasta execution environments.

### Methods

new

### Attributes

definition | [R] | Returns a String containing query and library filenames.
program | [R] | Accessor for a Hash containing ‘mp_name’, ‘mp_ver’, ‘mp_argv’, ‘pg_name’, ‘pg_ver, ‘pg_matrix’, ‘pg_gap-pen’, ‘pg_ktup’, ‘pg_optcut’, ‘pg_cgap’, ‘mp_extrap’, ‘mp_stats’, and ‘mp_KS’ values.

### Public Class methods

new(data)

[Source]

         # File lib/bio/appl/fasta/format10.rb, line 177
    177:     def initialize(data)
    178:       @definition, *program = data.split(/\n/)
    179:       @program = {}
    180:
    181:       pat = /;\s+([^:]+):\s+(.*)/
    182:
    183:       program.each do |x|
    184:         if pat.match(x)
    185:           @program[$1] = $2
    186:         end
    187:       end
    188:     end

[Validate]